# Payment Widget API

API for payment widgets

## Get Unlimited Linked Payment widget by ID

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/unlimited-linked/find":{"post":{"tags":["Payment Widget API"],"summary":"Get Unlimited Linked Payment widget by ID","description":"Permission annotations:","operationId":"findUnlimitedLinked","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByUuidRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"PaymentWidgetPGUnlimitedLinkedDTO":{"required":["createdDate","cryptoCurrencies","description","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"description":{"type":"string","description":"Description of the payment widget"},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"}},"description":"Response with unlimited payment widget data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create new Unlimited Linked payment widget

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/unlimited-linked/create":{"post":{"tags":["Payment Widget API"],"summary":"Create new Unlimited Linked payment widget","description":"Permission annotations:","operationId":"createUnlimitedLinked","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPaymentWidgetPGUnlimitedLinkedCreateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPaymentWidgetPGUnlimitedLinkedCreateRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedCreateRequestDTO"}},"description":"Object with request data"},"PaymentWidgetPGUnlimitedLinkedCreateRequestDTO":{"required":["cryptoCurrencies","description"],"type":"object","properties":{"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"description":{"type":"string","description":"Description of the payment widget"},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"}},"description":"Request with unlimited widget creation data"},"Currency":{"type":"string"},"PaymentWidgetPGUnlimitedLinkedDTO":{"required":["createdDate","cryptoCurrencies","description","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"description":{"type":"string","description":"Description of the payment widget"},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"}},"description":"Response with unlimited payment widget data"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Archive Unlimited Linked Payment widget by ID

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/unlimited-linked/archive":{"post":{"tags":["Payment Widget API"],"summary":"Archive Unlimited Linked Payment widget by ID","description":"Permission annotations:","operationId":"archiveUnlimitedLinked","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByUuidRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"PaymentWidgetPGUnlimitedLinkedDTO":{"required":["createdDate","cryptoCurrencies","description","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"description":{"type":"string","description":"Description of the payment widget"},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"}},"description":"Response with unlimited payment widget data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get all Unlimited Linked Payment widgets

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/unlimited-linked/all":{"post":{"tags":["Payment Widget API"],"summary":"Get all Unlimited Linked Payment widgets","description":"Permission annotations:","operationId":"findAllUnlimitedLinked","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPaymentWidgetPGUnlimitedLinkedFindRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDTOPaymentWidgetPGUnlimitedLinkedDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPaymentWidgetPGUnlimitedLinkedFindRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedFindRequestDTO"}},"description":"Object with request data"},"PaymentWidgetPGUnlimitedLinkedFindRequestDTO":{"required":["pageNumber","size"],"type":"object","properties":{"widgetStates":{"type":"array","description":"The status of payment widgets","items":{"type":"string","description":"The status of payment widgets","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]}},"pageNumber":{"type":"integer","description":"The page of results to return","format":"int32","default":1},"size":{"type":"integer","description":"A numeric value indicating the page size","format":"int32","default":10}},"description":"Request for getting unlimited widget"},"PageDTOPaymentWidgetPGUnlimitedLinkedDTO":{"required":["page","result","size","total","totalElements"],"type":"object","properties":{"result":{"type":"array","description":"Array of requested objects","items":{"$ref":"#/components/schemas/PaymentWidgetPGUnlimitedLinkedDTO"}},"page":{"type":"integer","description":"Numeric value indicating the page number","format":"int32"},"size":{"type":"integer","description":"Numeric value indicating the page size","format":"int32"},"total":{"type":"integer","description":"Total number of pages matching the query","format":"int32"},"totalElements":{"type":"integer","description":"Total number of objects matching the query","format":"int64"}},"description":"Object with page details"},"PaymentWidgetPGUnlimitedLinkedDTO":{"required":["createdDate","cryptoCurrencies","description","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"description":{"type":"string","description":"Description of the payment widget"},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"}},"description":"Response with unlimited payment widget data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get Single Fiat Payment widget by ID

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/single-fiat/find":{"post":{"tags":["Payment Widget API"],"summary":"Get Single Fiat Payment widget by ID","description":"Permission annotations:","operationId":"findSingleFiat","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByUuidRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"PaymentWidgetPGSingleFiatDTO":{"required":["createdDate","cryptoCurrencies","description","expiration","fiatAmount","fiatCurrency","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"fiatCurrency":{"type":"string","description":"Fiat currency of the widget"},"fiatAmount":{"type":"number","description":"Amount in fiat currency for invoice created from this payment widget"},"description":{"type":"string","description":"Description of the payment widget"},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"expiration":{"type":"string","description":"Represents server timestamp of payment widget expiration moment","format":"date-time"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"}},"description":"Response with single fiat invoice data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create new Single Fiat Payment widget

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/single-fiat/create":{"post":{"tags":["Payment Widget API"],"summary":"Create new Single Fiat Payment widget","description":"Permission annotations:","operationId":"createSingleFiat","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPaymentWidgetPGSingleFiatCreateRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPaymentWidgetPGSingleFiatCreateRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatCreateRequestDTO"}},"description":"Object with request data"},"PaymentWidgetPGSingleFiatCreateRequestDTO":{"required":["cryptoCurrencies","description","expiration","fiatAmount","fiatCurrency"],"type":"object","properties":{"fiatCurrency":{"type":"string","description":"Fiat currency of the widget"},"fiatAmount":{"type":"number","description":"Amount in fiat currency for invoice created from this payment widget"},"description":{"type":"string","description":"Description of the payment widget"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"expiration":{"type":"string","description":"Represents server timestamp of the invoice of the payment widget expiration moment","format":"date-time"},"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"}},"description":"Request with single fiat widget creation data"},"Currency":{"type":"string"},"PaymentWidgetPGSingleFiatDTO":{"required":["createdDate","cryptoCurrencies","description","expiration","fiatAmount","fiatCurrency","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"fiatCurrency":{"type":"string","description":"Fiat currency of the widget"},"fiatAmount":{"type":"number","description":"Amount in fiat currency for invoice created from this payment widget"},"description":{"type":"string","description":"Description of the payment widget"},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"expiration":{"type":"string","description":"Represents server timestamp of payment widget expiration moment","format":"date-time"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"}},"description":"Response with single fiat invoice data"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Archive Single Fiat Payment widget by ID

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/single-fiat/archive":{"post":{"tags":["Payment Widget API"],"summary":"Archive Single Fiat Payment widget by ID","description":"Permission annotations:","operationId":"archiveSingleFiat","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByUuidRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByUuidRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByUuidRequestDTO"}},"description":"Object with request data"},"ByUuidRequestDTO":{"required":["requestId"],"type":"object","properties":{"requestId":{"type":"string","description":"The external id of the webhook subscription","format":"uuid"}},"description":"Object with request id parameter"},"PaymentWidgetPGSingleFiatDTO":{"required":["createdDate","cryptoCurrencies","description","expiration","fiatAmount","fiatCurrency","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"fiatCurrency":{"type":"string","description":"Fiat currency of the widget"},"fiatAmount":{"type":"number","description":"Amount in fiat currency for invoice created from this payment widget"},"description":{"type":"string","description":"Description of the payment widget"},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"expiration":{"type":"string","description":"Represents server timestamp of payment widget expiration moment","format":"date-time"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"}},"description":"Response with single fiat invoice data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get all Single Fiat Payment widgets

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Payment Widget API","description":"API for payment widgets"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/payment-widget/single-fiat/all":{"post":{"tags":["Payment Widget API"],"summary":"Get all Single Fiat Payment widgets","description":"Permission annotations:","operationId":"findAllSingleFiat","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPaymentWidgetPGSingleFiatFindRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDTOPaymentWidgetPGSingleFiatDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPaymentWidgetPGSingleFiatFindRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatFindRequestDTO"}},"description":"Object with request data"},"PaymentWidgetPGSingleFiatFindRequestDTO":{"required":["pageNumber","size"],"type":"object","properties":{"widgetStates":{"type":"array","description":"The status of payment widgets","items":{"type":"string","description":"The status of payment widgets","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]}},"pageNumber":{"type":"integer","description":"The page of results to return","format":"int32","default":1},"size":{"type":"integer","description":"A numeric value indicating the page size","format":"int32","default":10}},"description":"Request for getting single fiat widget"},"PageDTOPaymentWidgetPGSingleFiatDTO":{"required":["page","result","size","total","totalElements"],"type":"object","properties":{"result":{"type":"array","description":"Array of requested objects","items":{"$ref":"#/components/schemas/PaymentWidgetPGSingleFiatDTO"}},"page":{"type":"integer","description":"Numeric value indicating the page number","format":"int32"},"size":{"type":"integer","description":"Numeric value indicating the page size","format":"int32"},"total":{"type":"integer","description":"Total number of pages matching the query","format":"int32"},"totalElements":{"type":"integer","description":"Total number of objects matching the query","format":"int64"}},"description":"Object with page details"},"PaymentWidgetPGSingleFiatDTO":{"required":["createdDate","cryptoCurrencies","description","expiration","fiatAmount","fiatCurrency","idempotencyKey","invoices","widgetState","widgetType"],"type":"object","properties":{"idempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"cryptoCurrencies":{"type":"array","description":"Currency of merchant's wallets where funds will be withdrawn to. The order currencies transmitted to the request will be saved in the interface","items":{"$ref":"#/components/schemas/Currency"}},"widgetType":{"type":"string","description":"Type of the payment widget","enum":["SINGLE_FIAT","UNLIMITED_LINKED"]},"widgetState":{"type":"string","description":"Status of the payment widget","enum":["IN_PROGRESS","COMPLETED","ARCHIVED"]},"fiatCurrency":{"type":"string","description":"Fiat currency of the widget"},"fiatAmount":{"type":"number","description":"Amount in fiat currency for invoice created from this payment widget"},"description":{"type":"string","description":"Description of the payment widget"},"logoUrl":{"type":"string","description":"Link to the logo of merchant which will be shown in the payment widget page. The logo must be in PNG format. Recommended size 100*24 px"},"returnUrl":{"type":"string","description":"Link to the web page where client can come back to from payment widget page"},"supportUrl":{"type":"string","description":"Link to the merchant support page where client can go to from payment widget page"},"expiration":{"type":"string","description":"Represents server timestamp of payment widget expiration moment","format":"date-time"},"externalId":{"type":"string","description":"Merchant ID that can be assigned to one or several payment widgets in string format. All invoices created in this payment widget will get the same external id"},"invoices":{"type":"array","description":"List of invoices created from this payment widget","items":{"$ref":"#/components/schemas/PaymentWidgetPGInvoiceDTO"}},"createdDate":{"type":"string","description":"Time of payment widget creation","format":"date-time"}},"description":"Response with single fiat invoice data"},"Currency":{"type":"string"},"PaymentWidgetPGInvoiceDTO":{"required":["cryptoCurrency","invoiceId","invoiceIdempotencyKey"],"type":"object","properties":{"invoiceId":{"type":"string","description":"Id of invoice created from this payment widget"},"cryptoCurrency":{"type":"string","description":"Represents the currency of the invoice"},"invoiceIdempotencyKey":{"type":"string","description":"The external id in the uuid format that can be generated by user while creating the payment widget","format":"uuid"},"invoiceExternalId":{"type":"string","description":"Merchant ID of the invoice"}},"description":"List of invoices created from this payment widget"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
